[oe-commits] Jeremy Lainé : watchdog: package version 5.4

GIT User account git at amethyst.openembedded.net
Mon Jan 26 15:19:57 UTC 2009


Module: openembedded.git
Branch: org.openembedded.dev
Commit: 8999a323d8956c49b5f62410cce0f47ab43f79d7
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=8999a323d8956c49b5f62410cce0f47ab43f79d7

Author: Jeremy Lainé <jeremy.laine at m4x.org>
Date:   Mon Jan 26 16:17:58 2009 +0100

watchdog: package version 5.4
* update watchdog to version 5.4
* add an init script for watchdog

---

 packages/watchdog/files/init      |   33 +++++++++++++++++++++++++++++++++
 packages/watchdog/watchdog_5.4.bb |   17 +++++++++++++++++
 2 files changed, 50 insertions(+), 0 deletions(-)

diff --git a/packages/watchdog/files/init b/packages/watchdog/files/init
new file mode 100644
index 0000000..f42797e
--- /dev/null
+++ b/packages/watchdog/files/init
@@ -0,0 +1,33 @@
+#!/bin/sh
+DAEMON="/usr/sbin/watchdog"
+NAME="watchdog"
+DESC="watchdog daemon"
+OPTIONS=""
+
+test -f $DAEMON || exit 0
+
+case "$1" in
+    start)
+        echo -n "Starting $DESC: $NAME... "
+        start-stop-daemon -S -x $DAEMON -- $OPTIONS
+        echo "done."
+       ;;
+    stop)
+        echo -n "Stopping $DESC: $NAME... "
+        start-stop-daemon -K -x $DAEMON
+        echo "done."
+        ;;
+    restart)
+        echo "Restarting $DESC: $NAME... "
+        $0 stop
+        sleep 1
+        $0 start
+        echo "done."
+        ;;
+    *)
+        echo "Usage: $0 {start|stop|restart}"
+        exit 1
+        ;;
+esac
+
+exit 0
diff --git a/packages/watchdog/watchdog_5.4.bb b/packages/watchdog/watchdog_5.4.bb
new file mode 100644
index 0000000..ec4cea4
--- /dev/null
+++ b/packages/watchdog/watchdog_5.4.bb
@@ -0,0 +1,17 @@
+DESCRIPTION = "System watchdog daemon"
+LICENSE = "GPL"
+PR = "r0"
+
+SRC_URI = "http://www.ibiblio.org/pub/Linux/system/daemons/watchdog/${PN}-${PV}.tar.gz \
+	file://init"
+
+inherit autotools update-rc.d
+
+INITSCRIPT_NAME = "watchdog"
+INITSCRIPT_PARAMS = "defaults 10"
+
+do_install_append() {
+	install -d ${D}${sysconfdir}/init.d
+	install -m 0755 ${WORKDIR}/init ${D}${sysconfdir}/init.d/watchdog
+}
+





More information about the Openembedded-commits mailing list